org.apache.cassandra.thrift

## Enum IndexOperator

- java.lang.Object
- - java.lang.Enum<IndexOperator>
  - - org.apache.cassandra.thrift.IndexOperator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IndexOperator>, org.apache.thrift.TEnum

    public enum IndexOperator
    extends java.lang.Enum<IndexOperator>
    implements org.apache.thrift.TEnum

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EQ`
`GT`
`GTE`
`LT`
`LTE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static IndexOperator` `findByValue(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
`int` `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
`static IndexOperator` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IndexOperator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EQ

    public static final IndexOperator EQ

#### GTE

    public static final IndexOperator GTE

#### GT

    public static final IndexOperator GT

#### LTE

    public static final IndexOperator LTE

#### LT

    public static final IndexOperator LT

### Method Detail

#### values

    public static IndexOperator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IndexOperator c : IndexOperator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IndexOperator valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Get the integer value of this enum value, as defined in the Thrift IDL.

Specified by:
  `getValue` in interface `org.apache.thrift.TEnum`

#### findByValue

    public static IndexOperator findByValue(int value)

Find a the enum type by its integer value, as defined in the Thrift IDL.

Returns:
  null if the value is not found.